Subject: Re: bug#1547: face-font-rescale-alist has no effect

From: Andrew Hyatt <[email-masked]>
Date: Wed, 06 Jan 2016 23:14:16 -0500

"Juanma Barranquero" <[email-masked]> writes:

> Package: emacs
> Version: 23.0.60
> X-Debbugs-CC: [email-masked]
>
> [Just a reminder, so the issue is not lost]
>
> Font rescaling is unimplemented in the new font backend.
>
> It was already discussed on the list:
>
> http://lists.gnu.org/archive/html/emacs-devel/2008-06/msg01155.html

I'm looking at this for Emacs 25, just to see if it can reproduce.  I
believe this is still the case.  Here's how I attempted to reproduce it
(keep in mind I don't have any particular knowledge of this
functionality).

1) Start emacs with "emacs -Q" in a window (X-windows, or other system
capable of handling different fonts)
2) Eval, in the scratch buffer, (add-to-list 'face-font-rescale-alist
(cons (font-at 1) 4.0)).

>From the variable docs, I would expect the text to get 4 times bigger
after changing the variable, but instead nothing happens.